Bug 163476 - [SECURITY] out of bounds access in _canonicalize devel/icu
Summary: [SECURITY] out of bounds access in _canonicalize devel/icu
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-20 12:20 UTC by Andrei Lavreniyuk
Modified: 2011-12-23 15:00 UTC (History)
0 users

See Also:


Attachments
file.txt (831 bytes, text/plain)
2011-12-20 12:20 UTC, Andrei Lavreniyuk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Lavreniyuk 2011-12-20 12:20:11 UTC
http://bugs.icu-project.org/trac/ticket/8984

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-12-20 12:20:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees freebsd_committer 2011-12-22 21:29:19 UTC
Responsible Changed
From-To: office->crees

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-12-23 14:54:32 UTC
crees       2011-12-23 14:54:18 UTC

  FreeBSD ports repository

  Modified files:
    devel/icu            Makefile 
  Added files:
    devel/icu/files      patch-common-uloc.c 
  Log:
  Fix potential out of bounds access in _canonicalize devel/icu
  
  Not sure this is worth a VuXML, but one will be made on request
  
  PR:             ports/163476
  Submitted by:   Andrei Lavreniyuk <andy.lavr@gmail.com>
  Obtained from:  http://bugs.icu-project.org/trac/ticket/8984
  
  Revision  Changes    Path
  1.49      +1 -0      ports/devel/icu/Makefile
  1.1       +26 -0     ports/devel/icu/files/patch-common-uloc.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Chris Rees freebsd_committer 2011-12-23 14:55:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!